<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Edit a movie</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Update ' + ${film.getFilmTitle()}"></h3>
    <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/films/update}" th:object="${filmForm}">
        <input type="hidden" name="id"
               th:value="${film.getId()}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="filmTitle" th:value="${film.getFilmTitle()}" type="text" class="form-control" id="filmTitle" placeholder="Title" required>
                    <label for="filmTitle">Title</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="premierYear" th:value="${film.getPremierYear()}" type="number" class="form-control" id="premierYear" placeholder="Year of premier" required>
                    <label for="premierYear">Дата выхода</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="country" th:value="${film.getCountry()}" type="text" class="form-control" id="country" placeholder="Country" required>
                    <label for="country">Страна</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <select class="form-select" name="genre" id="genre" required th:object="${film}" th:field="*{genre}">
                        <option th:value="default">Выберите жанр:</option>
                        <option th:selected="${film.getGenre().getGenreTextDisplay()}"
                                th:each="genre : ${T(com.example.CinemaLibrary.model.Genre).values()}"
                                th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
                    </select>
                    <label for="genre">Жанр</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Добавить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </form>
</div>
</body>
</html>